Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122212 - Review Request: nodejs-bluebird - Full featured Promises/A+ implementation
Summary: Review Request: nodejs-bluebird - Full featured Promises/A+ implementation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122241
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:03 UTC by Ralph Bean
Modified: 2014-08-15 02:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 17:22:05 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:03:49 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-bluebird.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-bluebird-2.2.2-1.fc20.src.rpm

Description:
Bluebird is a fully featured promise library with focus on innovative features
and performance

Comment 1 Parag AN(पराग) 2014-07-23 08:47:38 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-bluebird.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :587680a302d06ba08f118c4f235772d5a90b905b68a4b6574f082f9ab747a03a
upstream tarball :587680a302d06ba08f118c4f235772d5a90b905b68a4b6574f082f9ab747a03a

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED

Comment 2 Ralph Bean 2014-07-23 14:08:30 UTC
New Package SCM Request
=======================
Package Name: nodejs-bluebird
Short Description: Full featured Promises/A+ implementation
Upstream URL: https://npmjs.org/package/bluebird
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 14:21:51 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 17:12:15 UTC
nodejs-bluebird-2.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-bluebird-2.2.2-1.fc20

Comment 5 Fedora Update System 2014-07-23 17:12:26 UTC
nodejs-bluebird-2.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-bluebird-2.2.2-1.fc19

Comment 6 Ralph Bean 2014-07-23 17:22:05 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:36:23 UTC
nodejs-bluebird-2.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:51:58 UTC
nodejs-bluebird-2.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.